%define name mek
%define version 0.50
%define release 6mdk

Name:		%{name}
Group:		Sciences/Physics
BuildRequires: XFree86-devel qt-devel
Summary:    Educational software simulation, drawing for physical mecanics.
Copyright:	GPL
Version:	%{version}
Release:	%{release}
URL:		http://www.linux-france.org/prj/%{name}
Source:		%{name}-%{version}.src.tar.bz2
Source1:	COPYING.bz2
Source2:	icons-%{name}.tar.bz2
BuildRoot:	/var/tmp/%{name}-buildroot
#Icon:		%{name}.xpm

%description 
MeK is a simulation program; it allows you to make simulations of
mechanics of motion, it draws the trajectories of particles
under the forces acting on them.
The scope of this educational software fits the needs of physics
learning of the secondary school and first years of university.

%description -l fr
Vous adorez les Travaux Pratiques de physique, mais vous ne disposez
ni d'une table  coussin d'air, ni d'un acclrateur d'lectrons chez
vous. MeK est fait pour vous.
MeK permet de faire des simulations de mcanique du point. Il trace
les trajectoires des particules soumises  des forces.
Ce logiciel ducatif en franais couvre l'ensemble du programme de
mcanique du lyce et du premier cycle universitaire. 

%prep
if [ -z "$RPM_BUILD_ROOT" -o "$RPM_BUILD_ROOT" = "/" ]; then
	echo "***** BuildRoot incorrect ($RPM_BUILD_ROOT) *****" >&2
	exit 1
fi

%setup

%build
 

cp %{SOURCE1} .
bzip2 -d COPYING.bz2

export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"

CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6
#./configure --prefix=/usr/X11R6

make INCLUDES='-I/usr/include/qt'
strip mek

%clean
if [ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ]; then
	rm -rf "${RPM_BUILD_ROOT}"
else
	echo "***** BuildRoot incorrect ($RPM_BUILD_ROOT) *****" >&2
	exit 1
fi

%install
make install DESTDIR="$RPM_BUILD_ROOT"

#mdk menu
install -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF >$RPM_BUILD_ROOT%{_menudir}/%{name}
?package(mek):\
needs="x11"\
section="Applications/Sciences/Physics"\
title="Mek"\
longtitle="Educational software simulation, drawing for physical mecanics"\
command="/usr/X11R6/bin/mek"\
icon=mek.xpm
EOF
#mdk icons
install -d $RPM_BUILD_ROOT%{_iconsdir}
tar xIvf %{SOURCE2} -C $RPM_BUILD_ROOT%{_iconsdir}

%post
%{update_menus}

%postun
%{clean_menus}

%files

%defattr(-, root, root)
/usr/X11R6/bin/mek
/usr/X11R6/share/mek
%{_menudir}
%{_iconsdir}
%doc INSTALL_FR
%doc COPYING

%changelog
* Thu Oct 05 2000 Daouda Lo <daouda@mandrakesoft.com> 0.50-6mdk
- icons & menu embedded forever!

* Mon Aug 21 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.50-5mdk
- corrected a typo on menu entries
- macrozified the spec file

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.50-4mdk
- automatically added BuildRequires

* Sun Apr 23 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 0.50-3mdk
- fixed icon. grip.xpm --> mek.xpm

* Wed Apr 05 2000 Warly <waarly@mandrakesoft.com> 0.50-2mdk
- new group: Sciences/Physics
- menu

* Fri Dec 10 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contrib
- little specfile adaptation
- used the srpm provided by Xavier Hienne <xavier@linux-nantes.fr.eu.org> 

* Thu Dec  9 1999 Xavier Hienne <xavier@linux-nantes.fr.eu.org>
    - First RPM package for MeK
